#
#	Do a telnet to an arbitrary place via term.  This
#	finds an unused local port and redirects telnets
#	on the localhost to that port to connect to the
#	final target.
#
#	Crude, but it works.  There may be a version of telnet
#	modified to work directly with term.  That would be
#	more elegant.
#
#	Tom Kelly (tom@sco.com, tom@ancilla.uucp)
#

tmpfile=/tmp/tn.$$
host=$1
if [ $# -eq 2 ]; then
	host=$host":"$2
else
	host=$host":23"
fi
for localport in 4000 4001 4002 4003 4004 4005 4006 4007 4008 4009; do
	>$tmpfile
	tredir $localport $host 2>$tmpfile
	if egrep "error" $tmpfile >/dev/null; then
		ps -ef >$tmpfile
		pid=`egrep "tredir $localport " $tmpfile | awk '{print $2}'`
		kill $pid
	else
		break;
	fi
done
/usr/bin/telnet localhost $localport
ps -ef >$tmpfile
pid=`egrep "tredir $localport " $tmpfile | awk '{print $2}'`
kill $pid
rm $tmpfile
